summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPiotr Rogoża2015-06-14 15:11:01 +0200
committerPiotr Rogoża2015-06-14 15:11:01 +0200
commit513d410564ee8c95cfcd20c8a7a191d32d1eb06f (patch)
treef951d96a199f1ce0cea1e42e0d4b8467266f00cf
downloadaur-513d410564ee8c95cfcd20c8a7a191d32d1eb06f.tar.gz
Initial import
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD30
-rw-r--r--locale.patch15
3 files changed, 64 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c0573f5eabd
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = ogmrip-profiles
+ pkgdesc = Collection of profiles for OGMRip
+ pkgver = 0.3
+ pkgrel = 2
+ url = http://ogmrip.sourceforge.net/en/profiles.html
+ arch = any
+ groups = ogmrip
+ license = LGPL
+ makedepends = intltool
+ depends = ogmrip>=0.13
+ source = http://downloads.sourceforge.net/sourceforge/ogmrip/ogmrip-profiles-0.3.tar.gz
+ source = http://downloads.sourceforge.net/project/ogmrip/ogmrip-profiles/0.3/README
+ source = locale.patch
+ md5sums = 7c8d43adf15e501f823a0bd059534ef0
+ md5sums = 0c0f9e42a7ba68c2d225dc934b291596
+ md5sums = e67d042a508ef0c3fb6e1ca9ff2a2d20
+
+pkgname = ogmrip-profiles
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..0e7546d60d9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Piotr Rogoża <rogoza dot piotr at gmail dot com>
+# Contributor: Piotr Rogoża <rogoza dot piotr at gmail dot com>
+# vim:set ts=2 sw=2 et ft=sh tw=100: expandtab
+
+pkgname=ogmrip-profiles
+pkgver=0.3
+pkgrel=2
+pkgdesc='Collection of profiles for OGMRip'
+arch=('any')
+url='http://ogmrip.sourceforge.net/en/profiles.html'
+license=('LGPL')
+groups=('ogmrip')
+depends=('ogmrip>=0.13')
+makedepends=(intltool)
+source=("http://downloads.sourceforge.net/sourceforge/ogmrip/${pkgname}-${pkgver}.tar.gz"
+"http://downloads.sourceforge.net/project/ogmrip/${pkgname}/${pkgver}/README"
+locale.patch
+)
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ patch -p1 < ../locale.patch
+ ./configure --prefix=/usr --localedir=/usr/share/locale
+ make || return 1
+ make DESTDIR="$pkgdir/" install
+ install -Dm0644 README ${pkgdir}/usr/share/ogmrip-profiles/README
+}
+md5sums=('7c8d43adf15e501f823a0bd059534ef0'
+ '0c0f9e42a7ba68c2d225dc934b291596'
+ 'e67d042a508ef0c3fb6e1ca9ff2a2d20')
diff --git a/locale.patch b/locale.patch
new file mode 100644
index 00000000000..ed4dc61d25a
--- /dev/null
+++ b/locale.patch
@@ -0,0 +1,15 @@
+diff --git a/configure.in b/configure.in
+index fa9733d..4218018 100644
+--- a/configure.in
++++ b/configure.in
+@@ -16,6 +16,10 @@ AC_SUBST(OGMRIP_PROFDIR)
+
+ dnl **************************************************************
+
++GETTEXT_PACKAGE=ogmrip-profiles
++AC_SUBST(GETTEXT_PACKAGE)
++AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", [GetText Package])
++
+ AM_GLIB_GNU_GETTEXT
+ IT_PROG_INTLTOOL([0.35.0])
+